Bug 916351 - add '--hostrequire' to bkr man page
Summary: add '--hostrequire' to bkr man page
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.11
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: 0.12
Assignee: Amit Saha
QA Contact: Dan Callaghan
URL:
Whiteboard: Doc
Keywords: Documentation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-27 21:43 UTC by John Brier
Modified: 2018-02-06 00:41 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:57:08 UTC


Attachments (Terms of Use)

Description John Brier 2013-02-27 21:43:16 UTC
Description of problem:

Bug 693403 added --hostrequire

which is documented in the help:

--hostrequire="hostlabcontroller=lab.example.com"

bkr workflow-simple --help
<snip>
  Options for selecting system(s):
    --machine=FQDN                             Require this machine for job
    --systype=TYPE                             Require system of TYPE for job (Machine, Laptop, ..) [default: Machine]
    --hostrequire="TAG OPERATOR VALUE"         Additional <hostRequires/> for job (example:
                                               labcontroller=lab.example.com)
<snip>

but not in the 'bkr' man page


Version-Release number of selected component (if applicable):

beaker-client-0.11.3-1.fc16.noarch
How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Dan Callaghan 2013-03-04 03:40:10 UTC
There are a couple of other inconsistencies between the man page and the --help output too, which came from the workflow option cleanup I did in 0.11.0.

Comment 2 Dan Callaghan 2013-03-14 01:35:07 UTC
(In reply to comment #1)
> There are a couple of other inconsistencies between the man page and the
> --help output too, which came from the workflow option cleanup I did in
> 0.11.0.

Specifically http://git.beaker-project.org/cgit/beaker/commit/?id=af80724d

Comment 4 Dan Callaghan 2013-03-24 23:25:29 UTC
This change is now included in the development version of Beaker's documentation:

http://beaker-project.org/docs-develop/man/bkr.html#workflow-options

Comment 5 Dan Callaghan 2013-04-01 23:18:38 UTC
Looking good, just noticed a few minor typos: http://gerrit.beaker-project.org/1845

Comment 6 Dan Callaghan 2013-04-02 05:46:37 UTC
Corrected version is available here: http://beaker-project.org/docs-release-0.12/man/bkr.html

Looks good, marking as VERIFIED.

Comment 7 Dan Callaghan 2013-04-11 04:57:08 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.